# Command: testsuite::test_symmetric_connections_mpi

NEST HelpDesk | Command Index | NEST Quick Reference

Name:

    testsuite::test_symmetric_connections_mpi - Tests that the functionality to create
      symmetric connections works properly when running across MPI processes.

Synopsis:

    (test_symmetric_connections_mpi) run -> NEST exits if test fails

Description:

      This test ensures that the functionality to create symmetric connections
      works properly when running on several MPI processes.

      In more detail the test ensures that
     	- the make_symmetric flag works properly with one-to-one connection rule

Author:

    Hans Ekkehard Plesser, 2016-05-03 based on serial test by Jan Hahne, 2016-04-22

Source:

    /opt/conda/conda-bld/nest_1510212701067/work/nest-2.14.0/testsuite/mpitests/test_symmetric_connections_mpi.sli

NEST HelpDesk | Command Index | NEST Quick Reference

© 2004 The NEST Initiative